import { AppContext, VNode, VNodeProps, Component, ComponentInternalInstance } from "vue";
export declare function getInstance(): ComponentInternalInstance | null;
export interface CommonComponentProps extends VNodeProps {
    [index: string]: any;
}
export declare function getVNode<T extends Component>(component: T, props?: CommonComponentProps): VNode;
export declare function renderComponent<T extends Component>(options: {
    component: T;
    props?: CommonComponentProps;
    appContext?: AppContext;
    selfContainer: HTMLElement;
    parentContainer?: HTMLElement;
}): void;
